Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.soap
Class MimeHeaders

    java.lang.Object
      javax.xml.soap.MimeHeaders

public class MimeHeaders
extends Object

A container for MimeHeader objects, which represent the MIME headers present in a MIME part of a message. This class is used primarily when an application wants to retrieve specific attachments based on certain MIME headers and values. This class will most likely be used by implementations of AttachmentPart and other MIME dependent parts of the SAAJ API.

Version:
  $Revision: 1.3 $
Author:
  Scott.Stark@jboss.org

Constructor Summary
`MimeHeaders()`

Method Summary
`void` | `addHeader(String name, String value)`
`Iterator` | `getAllHeaders()`
`String[]` | `getHeader(String name)`
`Iterator` | `getMatchingHeaders(String[] names)`
`Iterator` | `getNonMatchingHeaders(String[] names)`
`void` | `removeAllHeaders()`
`void` | `removeHeader(String name)`
`void` | `setHeader(String name, String value)` Replaces the current value of the first header entry whose name matches the given name with the given value, adding a new header if no existing header name matches.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeHeaders

    public MimeHeaders()

Method Detail

### addHeader

    public void addHeader(String name,
                          String value)
                   throws IllegalArgumentException

  Parameters:
    `name` -
    `value` -
  Throws:
    `IllegalArgumentException` - - if name is null or empty.

### getAllHeaders

    public Iterator getAllHeaders()

### getHeader

    public String[] getHeader(String name)

  Parameters:
    `name` -
  Returns:
    All matching header values if found, null otherwise

### getMatchingHeaders

    public Iterator getMatchingHeaders(String[] names)

### getNonMatchingHeaders

    public Iterator getNonMatchingHeaders(String[] names)

### removeAllHeaders

    public void removeAllHeaders()

### removeHeader

    public void removeHeader(String name)

### setHeader

    public void setHeader(String name,
                          String value)

  Replaces the current value of the first header entry whose name matches the given name with the given value, adding a new header if no existing header name matches. This method also removes all matching headers after the first one.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.